Update junit runner to 1.0.15 to get java 7 compatibility

Review Request #4324 - Created Oct. 18, 2016 and submitted

Information
Eric Ayers
pants
zundel/junit-runner-1.0.15
3986
3004eee...
Reviewers
pants-reviews
benjyw, jsirois, mateor, stuhood

The junit-runner 1.0.15 jar should now be java 7 compatible.

Also set the platform of the scala and javac tool to java7 for the next time those are published.

Build green at https://travis-ci.org/pantsbuild/pants/builds/168588698

Also tested this jar in our Java repo under Java 7 and it works.

Eric Ayers
Mateo Rodriguez
Eric Ayers
Review request changed

Status: Closed (submitted)

Change Summary:

Thanks Mateo, committed at 2573d41

Stu Hood

I guess the junit runner was the only thing that had been published since the 8 bump?

scala 2.10 only supports targeting jdk6, so I think that this is a noop; but, harmless!

Eric Ayers

   

Before this change, it was targeting java8 due to the default java-platform.

Loading...